<?php
#-----------------------------------------------------#
#          ********* ROTORCMS *********               #
#              Made by  :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#        для его дальнейшего распространения          #
#-----------------------------------------------------#	
require_once ('../includes/start.php');
require_once ('../includes/functions.php');
require_once ('../includes/header.php');
include_once ('../themes/' . $config['themes'] . '/index.php');

if (isset($_GET['id'])) {
    $id = abs(intval($_GET['id']));
} else {
    $id = 0;
} 

show_title('site.png', 'Блоги');

$queryblog = DB :: $dbh -> query("SELECT * FROM `blogs` WHERE `blogs_id`=? LIMIT 1;", array($id));
$data = $queryblog -> fetch();

if (!empty($data)) {
    // -----------------------------------------------------------//
    ob_clean();
    ob_end_clean();

    header('Content-type:text/html; charset=utf-8');
    echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">';
    echo '<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ru" lang="ru"><head>';
    echo '<title>' . $data['blogs_title'] . '</title>';
    echo '<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />';
    echo '</head><body>';

    echo '<big><b>' . $data['blogs_title'] . '</b></big><br /><br />';

    echo bb_code($data['blogs_text']) . '<br /><br />';

    echo 'URL: <a href="' . $config['home'] . '/blog/blog.php?act=view&amp;id=' . $id . '&amp;' . SID . '">' . $config['home'] . '/blog/blog.php?act=view&amp;id=' . $id . '&amp;</a>';
    echo '</body></html>';
    ob_end_flush();
    exit;
} else {
    show_error('Ошибка! Выбранная вами статья не существует, возможно она была удалена!');
} 

echo '<img src="../images/img/reload.gif" alt="image" /> <a href="index.php?' . SID . '">К блогам</a>';

include_once ('../themes/' . $config['themes'] . '/foot.php');

?>